// pages/myActivityInfo/myActivityInfo.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    id: ""
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.id) {
      this.setData({
        id: options.id
      });
      this.getMyActivityInfo();
    }
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  onShareTimeline(){},
  //获取数据
  getMyActivityInfo() {
    var that = this;
    that.setData({
      datas: []
    });
    let urlStr = app.getNetAddresss('plugin.conference.api.conference-activity.get-enrol-data');
    urlStr += '&conference_id=' + that.data.id;
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          var dataList = res.data;
          for (let j = 0; j < dataList.length; j++) {
            let dataItem = new Object();
            let datas = that.data.datas;
            dataItem.title = dataList[j].name;
            dataItem.is_image = dataList[j].is_image;
            if(dataList[j].is_image == 1){
              dataItem.value = dataList[j].value;
            }else{
              if(dataList[j].value instanceof Array) {
                let value = "";
                for (let i = 0; i < dataList[j].value.length; i++) {
                  value += dataList[j].value[i] + " ";
                }
                dataItem.value = value;
              } else {
                dataItem.value = dataList[j].value;
              }
            } 
            console.log(dataItem);
            datas.push(dataItem);
            that.setData({
              datas: datas
            });
          }
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
});
